[pacman-dev] [PATCH] makepkg: abort on missing download agent
Allan McRae
allan at archlinux.org
Sun Jan 8 09:00:12 EST 2012
makepkg would not abort on a missing download agent due to the
output variable being declared local on the same line as the
function call in the assignment. That would result in strange output
such as:
==> Retrieving Sources...
==> ERROR: There is no agent set up to handle foo URLs. Check /etc/makepkg.conf.
Aborting...
-> Downloading foobaz...
/home/arch/code/pacman/scripts/makepkg: line 401: foo://foobaz: No such file or directory
==> ERROR: Failure while downloading foobaz
Aborting...
Signed-off-by: Allan McRae <allan at archlinux.org>
---
scripts/makepkg.sh.in | 3 ++-
1 files changed, 2 insertions(+), 1 deletions(-)
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index cfdb530..f6d8294 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -551,7 +551,8 @@ download_sources() {
fi
# find the client we should use for this URL
- local dlclient=$(get_downloadclient "$url") || exit $?
+ local dlclient
+ dlclient=$(get_downloadclient "$url") || exit $?
msg2 "$(gettext "Downloading %s...")" "$file"
# fix flyspray bug #3289
--
1.7.8.1
More information about the pacman-dev
mailing list